Prerequisites for BOARD Installers

Document created by ggallo Employee on Jul 3, 2017Last modified by lscaburri on Feb 22, 2018
Version 4Show Document
  • View in full screen mode

PLEASE READ THIS NOTE BEFORE INSTALLING ANY BOARD SOFTWARE COMPONENT

      

Always execute setup.exe rather than the .msi package as it performs an automatic check on all prerequisites and automatically download and install the missing ones.

      

Prerequisites for the BOARD Installers:

 

Pre-requisite ComponentDownload linkBoard ServerBoard ClientBoard Office Add-in
Windows Installer 3.1 (WindowsInstaller-KB893803-v2-x86.exe)http://www.microsoft.com/en-us/download/details.aspx?id=25
.NET Framework 3.5 SP1 (dotnetfx35.exe)http://www.microsoft.com/en-us/download/details.aspx?id=25150
.NET Framework 4.0 (dotNetFx40_Full_x86_x64.exe)http://www.microsoft.com/en-us/download/details.aspx?id=17718
.NET Framework 4.5.1 (NDP451-KB2859818-Web.exe)http://www.microsoft.com/en-us/download/details.aspx?id=40773
For 64bit: Adomd.net (SQLServer2005_ADOMD_x64.msi)https://download.microsoft.com/download/f/7/4/f74cbdb1-87e2-4794-9186-e3ad6bd54b41/SQLServer2005_ADOMD_x64.msi 
For 32bit: Adomd.net (SQLServer2005_ADOMD.msi)https://download.microsoft.com/download/f/7/4/f74cbdb1-87e2-4794-9186-e3ad6bd54b41/SQLServer2005_ADOMD.msi
Primary Interop Assembly (PrimaryInteropAssembly.exe)http://www.microsoft.com/en-us/download/details.aspx?id=18346
Visual Studio Tool for Office (vstor30.exe)http://www.microsoft.com/en-us/download/details.aspx?id=23656
Visual Studio 2010 Tool for Office Runtime (vstor_redist.exe)http://go.microsoft.com/fwlink/?LinkId=158918
Visual Studio Tool for Office Service Pack 1http://www.microsoft.com/en-us/download/details.aspx?id=1132

 

IMPORTANT NOTE:
.NET Framework 4.0 is mandatory for version 7.3.x or higher.
.NET Framework 4.5.1 is suggested for version 8.0.x and is mandatory from versions 9.x on.
Because .NET Framework is already embedded in some Microsoft OS versions, please check how to install or activate .NET Framework in your OS.
.NET Framework 4.5.1 already includes .NET version 4.0, nevertheless doesn't include .NET framework 3.5 that must be activated as Windows feature.

Windows Installer 3.1 or higher is already embedded in some Microsoft OS versions, please check how to install or activate it in your OS.

      
9 people found this helpful

Attachments

    Outcomes